#include <gtk/gtk.h>
#include <gmodule.h>

/* Default stuff */
#define DEFAULT_GRADIENT          GRADIENT_ON 
#define DEFAULT_SCROLLBARMARKS    MARKS_ON 
#define DEFAULT_HANDLEBOXMARKS    MARKS_ON

#define DEFAULT_SLIDER_WIDTH      11
#define DEFAULT_MIN_SLIDER_SIZE   9

typedef struct
  {
    gint                use_gradient;
    gint                scrollbar_marks;
    gint                handlebox_marks;
  }
ThemeRcData;

typedef struct
  {
    gint                use_gradient;
    gint                scrollbar_marks;
    gint                handlebox_marks;
  }
ThemeStyleData;

enum
  {
    TOKEN_GRADIENT = G_TOKEN_LAST + 1,
    TOKEN_SCROLLBARMARKS,
    TOKEN_HANDLEBOXMARKS,
    TOKEN_TRUE,
    TOKEN_FALSE
  };
  
enum
  {
    GRADIENT_ON = 0,
    GRADIENT_OFF,
    MARKS_ON = 0,
    MARKS_OFF
  };

